authors: Search SCM accounts which match a given query

API: sonarcloud.io:sonarqube
Endpoint: /api/issues/authors
Response format: application/json
Auth: unknown
Method: GET
Last Status: 401
Latency: 129ms

Description

Search SCM accounts which match a given query. Requires authentication.

Parameters (4)

organization (string, query, required)

Organization key

project (string, query, optional)

Project key

ps (string, query, optional, default: 10)

Page size. Must be greater than 0 and less or equal than 100

q (string, query, optional)

Limit search to authors that contain the supplied string.

Examples (1)

Search SCM accounts which match a given query openapi-spec
curl 'https://sonarcloud.io/api/issues/authors?organization=my-org&project=my_project&ps=20&q=luke'
import requests

resp = requests.get(
    "https://sonarcloud.io/api/issues/authors",
    params={
        'organization': 'my-org',
        'project': 'my_project',
        'ps': '20',
        'q': 'luke',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("sonarqube")
result = api.fetch("api/issues/authors", organization="my-org", project="my_project", ps=20, q="luke")

for item in result:
    print(item)
const resp = await fetch("https://sonarcloud.io/api/issues/authors?organization=my-org&project=my_project&ps=20&q=luke");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 02:38:23.067594 401 129ms
2026-04-15 01:25:26.146846 401 164ms
2026-04-14 01:23:53.012096 401 187ms
2026-04-12 14:07:45.307085 401 130ms
2026-04-10 00:22:32.356712 401 592ms
2026-04-09 00:27:10.297749 401 183ms